Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.repository
Class BaseClearcaseRepository

    java.lang.Object
      com.pmease.quickbuild.repository.Repository
          com.pmease.quickbuild.repository.BaseClearcaseRepository

All Implemented Interfaces:
  java.io.Serializable

public class BaseClearcaseRepository
extends Repository

The clearcase base adaptor

Author:
  robin shine
See Also:
  Serialized Form

Constructor Summary
`BaseClearcaseRepository()`

Method Summary
`protected void` | `buildFinished(Build build)` Indicates build has finished.
`protected void` | `checkout(Build build)` Check out codes for specified build.
`protected void` | `cleanupCheckoutStarted(java.lang.String workingDir, org.apache.log4j.Logger logger)` Give the repository a chance to do something before clean up checkouts.
`protected Revisions` | `getChangeListSince(DependentContext dependentContext, java.util.Date date, java.lang.String workingDir, org.apache.log4j.Logger logger)` Get change list since specified date.
`java.lang.String` | `getCleartoolExePath()` OGNL: Specify path to your cleartool executable file.
`java.lang.String` | `getMkviewExtraOpts()` OGNL: You may optionally specify extra options for the cleartool mkview sub command used by QuickBuild to create related Clearcase snapshot view for the current project.
`java.lang.String` | `getModificationDetectionConfig()` OGNL: This property will take effect if there are some LATEST versions from some branch to fetch in the above config spec.
`java.lang.Class` | `getModuleClazz()`
`java.lang.String` | `getViewCfgSpec()` OGNL: Config spec used by QuickBuild to create Clearcase snapshot view for a build.
`java.lang.String` | `getViewStgLoc()` OGNL: Name of the Clearcase server-side view storage location which will be used as-stgloc option when creating Clearcase view for the current project.
`java.lang.String` | `getVwsDir()` OGNL: This property is required only when the Clearcase view stgloc name property is empty.
`protected void` | `label(Build build, java.lang.String label, java.lang.String comment)` Label checked out artifacts from this repository.
`void` | `setCleartoolExePath(java.lang.String cleartoolExePath)`
`void` | `setMkviewExtraOpts(java.lang.String mkviewExtraOpts)`
`void` | `setModificationDetectionConfig(java.lang.String modificationDetectionConfig)`
`protected void` | `setUcmStream(java.lang.String ucmStream)`
`void` | `setViewCfgSpec(java.lang.String viewCfgSpec)`
`void` | `setViewStgLoc(java.lang.String viewStgLoc)`
`void` | `setVwsDir(java.lang.String vwsDir)`
`void` | `validate(Editable editable)`

Methods inherited from class com.pmease.quickbuild.repository.Repository
`cleanupCheckoutStarted, doCheckout, doLabel, equals, getChangeListSince, getDate2Revisions, getEditor, getLoginMappingName, getLoginMappingNameSelectionModel, getModules, getName, getNameChoices, getQuietPeriod, hashCode, isCheckedOut, isModified, isModifiedSince, isQuietSince, notifyBuildFinished, resolveOgnlExpressions, setEditor, setLoginMappingName, setName, setQuietPeriod`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseClearcaseRepository

    public BaseClearcaseRepository()

Method Detail

### validate

    public void validate(Editable editable)

  Overrides:
    `validate` in class `Repository`

### getViewStgLoc

    public java.lang.String getViewStgLoc()

  OGNL: Name of the Clearcase server-side view storage location which will be used as-stgloc option when creating Clearcase view for the current project. Either this property or Explicit path for view storage property should be specified.

  Returns:

### setViewStgLoc

    public void setViewStgLoc(java.lang.String viewStgLoc)

### getVwsDir

    public java.lang.String getVwsDir()

  OGNL: This property is required only when the Clearcase view stgloc name property is empty. If specified, it should be parent directory of .vws directory for created snapshot view. For example, if you specify \\\\server1\\dir1 here, QuickBuild will use \\\\server1\\dir1\\<view tag>.vws as the -vws option to create Clearcase view. Here <view tag> will be replaced by actual view tag.
  NOTE: This value should be a writable UNC path on Windows platform.

  Returns:

### setVwsDir

    public void setVwsDir(java.lang.String vwsDir)

### getViewCfgSpec

    public java.lang.String getViewCfgSpec()

  OGNL: Config spec used by QuickBuild to create Clearcase snapshot view for a build. If you copy the config spec from your dynamic view, do not forget to add load lines after the config spec for each directory you need, like this:
  include \\\\server\\ClearCase\\configspecs\\myconfigspec.txt
  load \\myvob\\modules\\module1
  load \\myvob\\modules\\module2

### setViewCfgSpec

    public void setViewCfgSpec(java.lang.String viewCfgSpec)

### getModificationDetectionConfig

    public java.lang.String getModificationDetectionConfig()

  OGNL: This property will take effect if there are some LATEST versions from some branch to fetch in the above config spec. It is used by QuickBuild to determine, if there are any changes in the repository since the last build. This property consists of multiple entries with each entry per line. Each entry is of the format <path>:<branch>. <path> is a path inside a vob. This path should start from the vob name, for example: \\myvob\\modules\\mymodule. <branch> stands for name of the branch. For sub branches, you don't need to specify the names of any \"super\" branches, just the name of the actual branch is enough.

### setModificationDetectionConfig

    public void setModificationDetectionConfig(java.lang.String modificationDetectionConfig)

### getMkviewExtraOpts

    public java.lang.String getMkviewExtraOpts()

  OGNL: You may optionally specify extra options for the cleartool mkview sub command used by QuickBuild to create related Clearcase snapshot view for the current project. Options that can be specified here are restricted to -tmode, -ptime, and -cachesize. For example you can specify -tmode insert_cr to use Windows end of line text mode.

  Returns:

### setMkviewExtraOpts

    public void setMkviewExtraOpts(java.lang.String mkviewExtraOpts)

### getCleartoolExePath

    public java.lang.String getCleartoolExePath()

  OGNL: Specify path to your cleartool executable file. For example: /usr/local/bin/cleartool. It should be specified here, if it does not exist in the system path.

  Returns:

### setCleartoolExePath

    public void setCleartoolExePath(java.lang.String cleartoolExePath)

### setUcmStream

    protected void setUcmStream(java.lang.String ucmStream)

### cleanupCheckoutStarted

    protected void cleanupCheckoutStarted(java.lang.String workingDir,
                                          org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Give the repository a chance to do something before clean up checkouts. OGNL expressions have been resolved before call this method.

  Specified by:
    `cleanupCheckoutStarted` in class `Repository`
  Parameters:
    `workingDir` -
    `logger` -

### checkout

    protected void checkout(Build build)

  Description copied from class: `Repository`
  Check out codes for specified build. OGNL expressions have been resolved before call this method.

  Specified by:
    `checkout` in class `Repository`
  Parameters:
    `build` -

### getChangeListSince

    protected Revisions getChangeListSince(DependentContext dependentContext,
                                           java.util.Date date,
                                           java.lang.String workingDir,
                                           org.apache.log4j.Logger logger)

  Description copied from class: `Repository`
  Get change list since specified date. OGNL expressions have been resolved before call this method.

  Specified by:
    `getChangeListSince` in class `Repository`
  Parameters:
    `dependentContext` -
    `date` -
    `workingDir` -
    `logger` -
  Returns:

### getModuleClazz

    public java.lang.Class getModuleClazz()

  Specified by:
    `getModuleClazz` in class `Repository`

### buildFinished

    protected void buildFinished(Build build)

  Description copied from class: `Repository`
  Indicates build has finished. OGNL expressions have been resolved before call this method.

  Specified by:
    `buildFinished` in class `Repository`
  Parameters:
    `build` -

### label

    protected void label(Build build,
                         java.lang.String label,
                         java.lang.String comment)

  Description copied from class: `Repository`
  Label checked out artifacts from this repository. OGNL expressions have been resolved before call this method.

  Specified by:
    `label` in class `Repository`
  Parameters:
    `build` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.